LockInfo (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.info
Class LockInfo

    java.lang.Object
      org.neo4j.kernel.info.LockInfo

    public final class LockInfo

extends Object

Constructor Summary
`LockInfo(ResourceType type, String resourceId, int readCount, int writeCount, Collection<LockingTransaction> locking)`
`LockInfo(ResourceType type, String resourceId, int readCount, int writeCount, List<LockingTransaction> locking, List<WaitingThread> waiting)`

Method Summary
`List<LockingTransaction>` | `getLockingTransactions()`
`int` | `getReadCount()`
`String` | `getResourceId()`
`ResourceType` | `getResourceType()`
`List<WaitingThread>` | `getWaitingThreads()`
`int` | `getWaitingThreadsCount()`
`int` | `getWriteCount()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockInfo

    @ConstructorProperties(value={"resourceType","resourceId","readCount","writeCount","lockingTransactions","waitingThreads"})
    public LockInfo(ResourceType type,
                                               String resourceId,
                                               int readCount,
                                               int writeCount,
                                               List<LockingTransaction> locking,
                                               List<WaitingThread> waiting)

### LockInfo

    public LockInfo(ResourceType type,
                    String resourceId,
                    int readCount,
                    int writeCount,
                    Collection<LockingTransaction> locking)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getResourceType

    public ResourceType getResourceType()

### getResourceId

    public String getResourceId()

### getWriteCount

    public int getWriteCount()

### getReadCount

    public int getReadCount()

### getWaitingThreadsCount

    public int getWaitingThreadsCount()

### getWaitingThreads

    public List<WaitingThread> getWaitingThreads()

### getLockingTransactions

    public List<LockingTransaction> getLockingTransactions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.